summaryrefslogtreecommitdiff
path: root/tests/cp/no-deref-link1.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/cp/no-deref-link1.sh')
-rwxr-xr-xtests/cp/no-deref-link1.sh4
1 files changed, 1 insertions, 3 deletions
diff --git a/tests/cp/no-deref-link1.sh b/tests/cp/no-deref-link1.sh
index b1754b728..4b7c057cd 100755
--- a/tests/cp/no-deref-link1.sh
+++ b/tests/cp/no-deref-link1.sh
@@ -29,10 +29,8 @@ cd ..
# It should fail with a message something like this:
# ./cp: 'a/foo' and 'b/foo' are the same file
-cp -d a/foo b 2>/dev/null
-
# Fail this test if the exit status is not 1
-test $? = 1 || fail=1
+returns_ 1 cp -d a/foo b 2>/dev/null || fail=1
test "$(cat a/foo)" = $msg || fail=1